Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.util
Class GF16

    java.lang.Object
      org.bouncycastle.util.GF16

Deprecated. moved to `GF16`; this type now delegates there and will be removed in a future release.

public class GF16
extends java.lang.Object

GF(2^4) helpers.

Constructor Summary
`GF16()` Deprecated.

Method Summary
`static void` | `decode(byte[] input, byte[] output, int outputLen)` Deprecated. use `GF16.decode(byte[], byte[], int)`.
`static void` | `decode(byte[] input, int inOff, byte[] output, int outOff, int outputLen)` Deprecated. use `GF16.decode(byte[], int, byte[], int, int)`.
`static void` | `encode(byte[] input, byte[] output, int inputLen)` Deprecated. use `GF16.encode(byte[], byte[], int)`.
`static void` | `encode(byte[] input, byte[] output, int outOff, int inputLen)` Deprecated. use `GF16.encode(byte[], byte[], int, int)`.
`static byte` | `innerProduct(byte[] a, int aOff, byte[] b, int bOff, int rank)` Deprecated. use `GF16.innerProduct(byte[], int, byte[], int, int)`.
`static byte` | `inv(byte a)` Deprecated. use `GF16.inv(byte)`.
`static byte` | `mul(byte a, byte b)` Deprecated. use `GF16.mul(byte, byte)`.
`static int` | `mul(int a, int b)` Deprecated. use `GF16.mul(int, int)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GF16

    public GF16()

  Deprecated.

Method Detail

### mul

    public static byte mul(byte a,
                           byte b)

  Deprecated. use `GF16.mul(byte, byte)`.

### mul

    public static int mul(int a,
                          int b)

  Deprecated. use `GF16.mul(int, int)`.

### inv

    public static byte inv(byte a)

  Deprecated. use `GF16.inv(byte)`.

### decode

    public static void decode(byte[] input,
                              byte[] output,
                              int outputLen)

  Deprecated. use `GF16.decode(byte[], byte[], int)`.

### decode

    public static void decode(byte[] input,
                              int inOff,
                              byte[] output,
                              int outOff,
                              int outputLen)

  Deprecated. use `GF16.decode(byte[], int, byte[], int, int)`.

### encode

    public static void encode(byte[] input,
                              byte[] output,
                              int inputLen)

  Deprecated. use `GF16.encode(byte[], byte[], int)`.

### encode

    public static void encode(byte[] input,
                              byte[] output,
                              int outOff,
                              int inputLen)

  Deprecated. use `GF16.encode(byte[], byte[], int, int)`.

### innerProduct

    public static byte innerProduct(byte[] a,
                                    int aOff,
                                    byte[] b,
                                    int bOff,
                                    int rank)

  Deprecated. use `GF16.innerProduct(byte[], int, byte[], int, int)`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD